Subject: Re: cygwin1.dll missing getreent and fopen
From: "synthespian" <[email-masked]>
To: [email-masked]
Date: Sun, 12 Oct 2003 18:26:38 -0300

> 
> ---------- Início da mensagem original -----------
>      De: Corinna Vinschen <[email-masked]>
>    Para: [email-masked]
>      Cc: 
>    Data: Fri, 10 Oct 2003 17:04:18 +0200
> Assunto: Re: cygwin1.dll missing getreent and fopen
> On Fri, Oct 10, 2003 at 02:44:48PM +0000, Misha Gale wrote:
> > I have just tried to install cygwin, using the setup.exe downloaded from
> > cygwin.com, and installing from a local directory (rsync'ed from
> > sources.redhat.com last night) and having installed all the packages,
> > come to the postinstall stage and been bombarded with messages saying
> > "The procedure entry point __fopen64 couldn not be located in the dynamic
> > link library cygwin1.dll" or "The procedure entry point __getreent couldn
> > not be located in the dynamic link library cygwin1.dll"
> > 
> > This occurs when 'bash' 'sed', 'basename' or 'uname' (and probably
> > others) are executed. I have also recieved an "unable to locate dll" for
> > cygpcre.dll from 'grep.exe'
> > 
> > cygwin1.dll is installed in /bin, is this the right location or should it
> > be in %SYSTEMROOT%?
> 
> No!  Never!
> 
> > I am running Win2000 Pro SP4.
> > 
> > Is it actually possible someone has oopsed in the dll code tree and
> > removed these rather crucial functions? Or have have I got a corrupt dll
> > somehow?
> 
> An older one.  Apparently you didn't install using the setup.exe tool.
> Remove your Cygwin installation, download setup.exe (http://cygwin.com
> has a link) and start setup.exe to install a Cygwin distro.
> 
> Corinna
> 
Hi -- 

 I have experienced the same problem
under WindowsME, since the two
releases after Sept 20th. I do not get
the fopen error, but I do experience
the getreent error.
 Complete reinstallation, including
redownloading setup.exe does not work.
The complaint about cygwin1.dll
remains and the shell doesn't launch.
 I was just about to post a similiar
report; here it is:

 Cygwin fails to start on WinME. This
is after the 2 latest releases:
starting on the September 20 release
and the current.
 I have tried reinstalling Cygwin more
than one, re-downloading, etc, but to
no avail.
 The error msg I get (translated from
Portuguese) is:

"The file BASH.EXE is linked to the
(to a) CYGWIN1.DLL export file that
was not found: __getreent."

 I have Cygwin in C:\cygwin

 However, the CYGWIN1.dll is placed
right under C:\cygwin\bin

 Could this have something to do with
the LD_LIBRARY_PATH variable? However,
in my previous installation, I don't
remember fiddling with this variable...

This is the CYGWIN .bat file

@echo off

C:
chdir C:\cygwin\bin

bash --login -i

PATH

c:\bin\emacs-21.2:c:\cygwin\bin:c:\cygwin\usr\bin:c:cygwin\usr\local\bin;C:\Perl\bin\;c:\ruby\bin;C:\WINDOWS;C:\WINDOWS\COMMAND;C:\texmf\miktex\bin;C:\POSSUM5\jmf;C:\POSSUM5\poet\bin;C:\POSSUM5\java\bin;C:\j2sdk1.4.1_01\bin;%PATH;C:\sml\bin;C:\bin\Mozart\bin;C:\pp\bin\win32

HOME	c:\cygwin\home	<DEFAULT>

I do not have a CYGWIN variable, as
mentioned in the User Guide:

C:\> set CYGWIN=tty notitle glob

but that doesn't work when I use it on
the DOS prompt.

The CYGWIN1.dll is version 1003.22.0.0 

Any help appreciated, because I'm
/seriously/ stuck.

-- Henry 

 
---
Acabe com aquelas janelinhas que pulam na sua tela.
AntiPop-up UOL - É grátis! 
http://antipopup.uol.com.br

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/